######################################################################
# def_common.sh
#
# Environment variables shared by shell scripts
#
# Usage, within another script:
#     . local/def_common.sh
######################################################################
# Copyright 2015 Theodore B. Ruegsegger
# This file is part of the PhotoTrove web application.

# PhotoTrove is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# PhotoTrove is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with PhotoTrove. If not, see <http://www.gnu.org/licenses/>.
######################################################################
ServiceName=trove
DbBaseName=$ServiceName
DbUser=$ServiceName
WebServerSslDocumentRoot=/home/web/webroot-ssl
WebServerDocumentRoot=/home/web/webroot
# Don't use a user's document root if there is a non-ssl webserver:
#WebServerDocumentRoot=/home/someuser/public_html
WebServerUser="www-data"
WebServerGroup="www-data"

# ServiceRoot is relative to document root
#ServiceRoot='/'
ServiceRoot="/$ServiceName/"

OriginalPhotos='/home/public/photos'

# Note: this PostgreSQL user account is independent of $WebServerUser,
# defined above. Don't change without good reason:
WebServerDbUser="www-data"
