<?php
/*********************************************************************
lib_usermgt.php

Application-specific definitions for managing user accounts
______________________________________________________________________
Copyright 2010 Theodore B. Ruegsegger
This file is part of the PhotoTrove web application.

PhotoTrove is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

PhotoTrove is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with PhotoTrove. If not, see <http://www.gnu.org/licenses/>.
______________________________________________________________________

*********************************************************************/
require ("gk/gk_usermgt.php");

function PersonAttributes()
{
    // Attributes of person table (besides last name and first name)
    // Index: table column; Lbl: Full Name; Hint: mouseover help text;
    // Abb: abbreviation; Siz: field width; Rqd: whether required

    // Uncomment and edit as new attributes are added:
/*
    return array
	(
	    "email"	=> array
	    ("Lbl" => "Email Address",
	     "Hint" => "Legal email address",
	     "Abb" => "Email",	"Siz" => 20, "Rqd" => False),
	    "phone"	=> array
	    ("Lbl" => "Telephone Number",
	     "Hint" => PhoneNumberFormatHint,
	     "Abb" => "Phone",	"Siz" => 15, "Rqd" => False)
	);
*/
    return False;
}

function PersonAttributeErrors()
{
    // Returns error message if any attributes are invalid.
    $E = "";

    // Uncomment and edit as new attributes are added:
/*
    $Email = trim($_REQUEST["Email"]);
    if ($Email > "" and ! IsValidEmailAddress($Email))
	$E .= "Invalid email address<br>\n";
    $Phone = trim($_REQUEST["Phone"]);
    if ($Phone > "" and ! IsValidPhoneNumber($Phone))
    {
	$E .= "Please use one of these formats for telephone";
	$E .= " numbers:<br>".PhoneNumberFormatTable;
    }
*/
    return $E;
}

function PersonPointers()
{
    // Returns array ($Table => $Col) of references to serial numbers
    // of records in the person table. Add new pointers as needed for
    // application
    return array
	(
	    "reguser"	=> "personsn"
	);
}

function UserPointers()
{
    // Returns array ($Table => $Col) of references to regusersn
    // column in the reguser table. Add new pointers as needed for
    // application. Include only records that must be deleted when
    // user is deleted.
    return array
	(
	    "reguser"	    => "regusersn",
	    "user_priv"	    => "regusersn",
	    "user_metapriv" => "regusersn",
	    "altauth"	    => "regusersn"
	);
}

function WhyCannotDeleteUser($User)
{
    // If user cannot be deleted for any reason, returns error message
    // explaining why, else returns False
    $Err = "";

    // Add any tests here. For any objection, append an error line
    // ending in <br>\n to the return value, e.g:
    // if (foo) $Err .= "3 frobs associated with user $User<br>\n";

    return ($Err > "") ? $Err : False;
}

//********************************************************************

?>
